> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zaymo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Cancelled Subscriptions

> Retrieve a list of the customer's cancelled subscriptions that are eligible for reactivation. Subscriptions will be displayed in the order they are returned by this endpoint.



## OpenAPI

````yaml /openapi.json get /zaymo/reactivate/cancelled-subscriptions
openapi: 3.0.1
info:
  title: Zaymo Custom Integration API
  description: >-
    API for managing product upsells, customer interactions, and custom actions
    in email campaigns
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.your-domain.com/example/
security:
  - apiKeyAuth: []
tags:
  - name: Upsells
    description: Endpoints for managing product upsells in emails
  - name: Customer Portal
    description: Endpoints for customer subscription management portal
  - name: Swap Up
    description: Endpoints for swapping a customer's current subscription product
  - name: Reactivate
    description: Endpoints for reactivating cancelled subscriptions
  - name: Custom Actions
    description: Endpoints for executing custom actions from email buttons
  - name: Discounts
    description: Endpoints for retrieving discount information
paths:
  /zaymo/reactivate/cancelled-subscriptions:
    get:
      tags:
        - Reactivate
      summary: Get Cancelled Subscriptions
      description: >-
        Retrieve a list of the customer's cancelled subscriptions that are
        eligible for reactivation. Subscriptions will be displayed in the order
        they are returned by this endpoint.
      parameters:
        - name: email
          in: query
          description: The email address of the customer
          required: true
          schema:
            type: string
            format: email
      responses:
        '200':
          description: Successful response with cancelled subscriptions list
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CancelledSubscriptionsResponse'
        '401':
          description: Authentication error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: Customer not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    CancelledSubscriptionsResponse:
      type: object
      required:
        - success
        - data
      properties:
        success:
          type: boolean
          description: Indicates if the request was successful
        data:
          type: object
          required:
            - subscriptions
          properties:
            subscriptions:
              type: array
              items:
                $ref: '#/components/schemas/CancelledSubscription'
    Error:
      type: object
      required:
        - success
        - error
      properties:
        success:
          type: boolean
          example: false
        error:
          type: object
          required:
            - code
            - message
          properties:
            code:
              type: string
              description: Error code identifier
            message:
              type: string
              description: Human-readable error message
    CancelledSubscription:
      type: object
      required:
        - subscription_id
        - title
        - products
      properties:
        subscription_id:
          type: string
          description: Unique identifier for the cancelled subscription
        title:
          type: string
          description: >-
            Title or name of the subscription. Often the frequency is used here
            ie. 'Every Month' or 'Every 6 Weeks'
        products:
          type: array
          items:
            $ref: '#/components/schemas/SubscriptionItem'
          description: Products that were included in the subscription with quantities
    SubscriptionItem:
      type: object
      required:
        - id
        - title
        - price
        - images
        - quantity
      properties:
        id:
          type: string
          description: Unique identifier for the product
        title:
          type: string
          description: Name or title of the product
        price:
          type: number
          format: float
          description: Subscription line item price
          example: 29.99
        images:
          type: array
          items:
            type: string
            format: uri
          description: Array of image URL strings for the product
        description:
          type: string
          description: Optional description of the product
        quantity:
          type: integer
          description: Quantity of this product in the subscription
          example: 2
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-Zaymo-API-Key
      description: Zaymo will authenticate requests using the API key you provide

````